## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel
Interface IngresIdentitySpecifier

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, IdentitySpecifier, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  IngresIdentitySpecifierImpl

    public interface IngresIdentitySpecifier

extends IdentitySpecifier

A representation of the model object 'Ingres Identity Specifier'.

The following features are supported:

- `Data Type`
- `Seq Length`
- `Seq Precision`
- `Maximum Option`
- `Minimum Option`
- `Cache Size`
- `Cache Option`
- `Order Option`

See Also:
  `IngressqlmodelPackage.getIngresIdentitySpecifier()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.Boolean` `getCacheOption()` Returns the value of the 'Cache Option' attribute.
`java.math.BigInteger` `getCacheSize()` Returns the value of the 'Cache Size' attribute.
`java.lang.String` `getDataType()` Returns the value of the 'Data Type' attribute.
`java.lang.Boolean` `getMaximumOption()` Returns the value of the 'Maximum Option' attribute.
`java.lang.Boolean` `getMinimumOption()` Returns the value of the 'Minimum Option' attribute.
`java.lang.Boolean` `getOrderOption()` Returns the value of the 'Order Option' attribute.
`java.math.BigInteger` `getSeqLength()` Returns the value of the 'Seq Length' attribute.
`java.math.BigInteger` `getSeqPrecision()` Returns the value of the 'Seq Precision' attribute.
`void` `setCacheOption(java.lang.Boolean value)` Sets the value of the '`Cache Option`' attribute.
`void` `setCacheSize(java.math.BigInteger value)` Sets the value of the '`Cache Size`' attribute.
`void` `setDataType(java.lang.String value)` Sets the value of the '`Data Type`' attribute.
`void` `setMaximumOption(java.lang.Boolean value)` Sets the value of the '`Maximum Option`' attribute.
`void` `setMinimumOption(java.lang.Boolean value)` Sets the value of the '`Minimum Option`' attribute.
`void` `setOrderOption(java.lang.Boolean value)` Sets the value of the '`Order Option`' attribute.
`void` `setSeqLength(java.math.BigInteger value)` Sets the value of the '`Seq Length`' attribute.
`void` `setSeqPrecision(java.math.BigInteger value)` Sets the value of the '`Seq Precision`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.IdentitySpecifier
`getGenerationType, getIncrement, getMaximum, getMinimum, getStartValue, isCycleOption, setCycleOption, setGenerationType, setIncrement, setMaximum, setMinimum, setStartValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDataType

    java.lang.String getDataType()

  Returns the value of the 'Data Type' attribute.

  If the meaning of the 'Data Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data Type' attribute.
  See Also:
    `setDataType(String)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_DataType()`

### setDataType

    void setDataType(java.lang.String value)

  Sets the value of the '`Data Type`' attribute.

  Parameters:
    `value` - the new value of the 'Data Type' attribute.
  See Also:
    `getDataType()`

### getSeqLength

    java.math.BigInteger getSeqLength()

  Returns the value of the 'Seq Length' attribute.

  If the meaning of the 'Seq Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Seq Length' attribute.
  See Also:
    `setSeqLength(BigInteger)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_SeqLength()`

### setSeqLength

    void setSeqLength(java.math.BigInteger value)

  Sets the value of the '`Seq Length`' attribute.

  Parameters:
    `value` - the new value of the 'Seq Length' attribute.
  See Also:
    `getSeqLength()`

### getSeqPrecision

    java.math.BigInteger getSeqPrecision()

  Returns the value of the 'Seq Precision' attribute.

  If the meaning of the 'Seq Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Seq Precision' attribute.
  See Also:
    `setSeqPrecision(BigInteger)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_SeqPrecision()`

### setSeqPrecision

    void setSeqPrecision(java.math.BigInteger value)

  Sets the value of the '`Seq Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Seq Precision' attribute.
  See Also:
    `getSeqPrecision()`

### getMaximumOption

    java.lang.Boolean getMaximumOption()

  Returns the value of the 'Maximum Option' attribute.

  If the meaning of the 'Maximum Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Option' attribute.
  See Also:
    `setMaximumOption(Boolean)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_MaximumOption()`

### setMaximumOption

    void setMaximumOption(java.lang.Boolean value)

  Sets the value of the '`Maximum Option`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Option' attribute.
  See Also:
    `getMaximumOption()`

### getMinimumOption

    java.lang.Boolean getMinimumOption()

  Returns the value of the 'Minimum Option' attribute.

  If the meaning of the 'Minimum Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Minimum Option' attribute.
  See Also:
    `setMinimumOption(Boolean)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_MinimumOption()`

### setMinimumOption

    void setMinimumOption(java.lang.Boolean value)

  Sets the value of the '`Minimum Option`' attribute.

  Parameters:
    `value` - the new value of the 'Minimum Option' attribute.
  See Also:
    `getMinimumOption()`

### getCacheSize

    java.math.BigInteger getCacheSize()

  Returns the value of the 'Cache Size' attribute.

  If the meaning of the 'Cache Size' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache Size' attribute.
  See Also:
    `setCacheSize(BigInteger)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_CacheSize()`

### setCacheSize

    void setCacheSize(java.math.BigInteger value)

  Sets the value of the '`Cache Size`' attribute.

  Parameters:
    `value` - the new value of the 'Cache Size' attribute.
  See Also:
    `getCacheSize()`

### getCacheOption

    java.lang.Boolean getCacheOption()

  Returns the value of the 'Cache Option' attribute.

  If the meaning of the 'Cache Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache Option' attribute.
  See Also:
    `setCacheOption(Boolean)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_CacheOption()`

### setCacheOption

    void setCacheOption(java.lang.Boolean value)

  Sets the value of the '`Cache Option`' attribute.

  Parameters:
    `value` - the new value of the 'Cache Option' attribute.
  See Also:
    `getCacheOption()`

### getOrderOption

    java.lang.Boolean getOrderOption()

  Returns the value of the 'Order Option' attribute.

  If the meaning of the 'Order Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Order Option' attribute.
  See Also:
    `setOrderOption(Boolean)`, `IngressqlmodelPackage.getIngresIdentitySpecifier_OrderOption()`

### setOrderOption

    void setOrderOption(java.lang.Boolean value)

  Sets the value of the '`Order Option`' attribute.

  Parameters:
    `value` - the new value of the 'Order Option' attribute.
  See Also:
    `getOrderOption()`